Skip to main content
`Ctrl`+`K`

# MatLRCSetMats

Sets the constituents of an LRC matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatLRCSetMats(Mat N, Mat A, Mat U, Vec c, Mat V)

Logically collective

## Input Parameters

- N - matrix of type `MATLRC`

- A - the (sparse) matrix

- U - first dense rectangular (tall and skinny) matrix

- c - a sequential vector containing the diagonal of C

- V - second dense rectangular (tall and skinny) matrix

## Note

If `V` is `NULL`, then it is assumed to be identical to `U`.

## See Also

Matrices, `MatLRCGetMats()`, `Mat`, `MATLRC`, `MatCreateLRC()`

## Level

intermediate

## Location

src/mat/impls/lrc/lrc.c

## Implementations

MatLRCSetMats_LRC() in src/mat/impls/lrc/lrc.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages